diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/utils.ts b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/utils.ts
index d92942fb2..1b77d9b10 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/utils.ts
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/utils.ts
@@ -1,5 +1,6 @@
-import { ISemantic, IDataSource } from '../data';
+import { ISemantic } from '../data';
 import { SemanticNodeType } from '../enum';
+import { TreeGraphData } from '@antv/g6-core';
 
 export const typeConfigs = {
   datasource: {
@@ -11,6 +12,7 @@ export const typeConfigs = {
 export const getDimensionChildren = (
   dimensions: ISemantic.IDimensionItem[],
   dataSourceNodeId: string,
+  limit: number = 999,
 ) => {
   const dimensionChildrenList = dimensions.reduce(
     (dimensionChildren: any[], dimension: ISemantic.IDimensionItem) => {
@@ -19,7 +21,7 @@ export const getDimensionChildren = (
         ...dimension,
         nodeType: SemanticNodeType.DIMENSION,
         legendType: dataSourceNodeId,
-        id: `${SemanticNodeType.DIMENSION}-${id}`,
+        id: `${dataSourceNodeId}-${SemanticNodeType.DIMENSION}-${id}`,
         uid: id,
         style: {
           lineWidth: 2,
@@ -31,10 +33,14 @@ export const getDimensionChildren = (
     },
     [],
   );
-  return dimensionChildrenList;
+  return dimensionChildrenList.slice(0, limit);
 };
 
-export const getMetricChildren = (metrics: ISemantic.IMetricItem[], dataSourceNodeId: string) => {
+export const getMetricChildren = (
+  metrics: ISemantic.IMetricItem[],
+  dataSourceNodeId: string,
+  limit: number = 999,
+) => {
   const metricsChildrenList = metrics.reduce(
     (metricsChildren: any[], metric: ISemantic.IMetricItem) => {
       const { id } = metric;
@@ -42,7 +48,7 @@ export const getMetricChildren = (metrics: ISemantic.IMetricItem[], dataSourceNo
         ...metric,
         nodeType: SemanticNodeType.METRIC,
         legendType: dataSourceNodeId,
-        id: `${SemanticNodeType.METRIC}-${id}`,
+        id: `${dataSourceNodeId}-${SemanticNodeType.METRIC}-${id}`,
         uid: id,
         style: {
           lineWidth: 2,
@@ -54,40 +60,50 @@ export const getMetricChildren = (metrics: ISemantic.IMetricItem[], dataSourceNo
     },
     [],
   );
-  return metricsChildrenList;
+  return metricsChildrenList.slice(0, limit);
 };
 
-export const formatterRelationData = (
-  dataSourceList: IDataSource.IDataSourceItem[],
-  type: SemanticNodeType = SemanticNodeType.DIMENSION,
-) => {
-  const relationData = dataSourceList.reduce((relationList: any[], item: any) => {
-    const { datasource, dimensions, metrics } = item;
-    const { id } = datasource;
-    const dataSourceNodeId = `${SemanticNodeType.DATASOURCE}-${id}`;
-    let childrenList = [];
-    if (type === SemanticNodeType.METRIC) {
-      childrenList = getMetricChildren(metrics, dataSourceNodeId);
-    }
-    if (type === SemanticNodeType.DIMENSION) {
-      childrenList = getDimensionChildren(dimensions, dataSourceNodeId);
-    }
-    relationList.push({
-      ...datasource,
-      legendType: dataSourceNodeId,
-      id: dataSourceNodeId,
-      uid: id,
-      nodeType: SemanticNodeType.DATASOURCE,
-      size: 40,
-      children: [...childrenList],
-      style: {
-        lineWidth: 2,
-        fill: '#BDEFDB',
-        stroke: '#5AD8A6',
-      },
-    });
-    return relationList;
-  }, []);
+export const formatterRelationData = (params: {
+  dataSourceList: ISemantic.IDomainSchemaRelaList;
+  limit?: number;
+  type?: SemanticNodeType;
+}): TreeGraphData[] => {
+  const { type, dataSourceList, limit } = params;
+  const relationData = dataSourceList.reduce(
+    (relationList: TreeGraphData[], item: ISemantic.IDomainSchemaRelaItem) => {
+      const { datasource, dimensions, metrics } = item;
+      const { id } = datasource;
+      const dataSourceNodeId = `${SemanticNodeType.DATASOURCE}-${id}`;
+      let childrenList = [];
+      if (type === SemanticNodeType.METRIC) {
+        childrenList = getMetricChildren(metrics, dataSourceNodeId, limit);
+      }
+      if (type === SemanticNodeType.DIMENSION) {
+        childrenList = getDimensionChildren(dimensions, dataSourceNodeId, limit);
+      }
+      if (!type) {
+        const dimensionList = getDimensionChildren(dimensions, dataSourceNodeId, limit);
+        const metricList = getMetricChildren(metrics, dataSourceNodeId, limit);
+        childrenList = [...dimensionList, ...metricList];
+      }
+      relationList.push({
+        ...datasource,
+        legendType: dataSourceNodeId,
+        id: dataSourceNodeId,
+        uid: id,
+        nodeType: SemanticNodeType.DATASOURCE,
+        size: 40,
+        children: [...childrenList],
+        style: {
+          lineWidth: 2,
+          fill: '#BDEFDB',
+          stroke: '#5AD8A6',
+        },
+      });
+      return relationList;
+    },
+    [],
+  );
   return relationData;
 };
 
@@ -121,6 +137,11 @@ export const getNodeConfigByType = (nodeData: any, defaultConfig = {}) => {
     case SemanticNodeType.METRIC:
       return {
         ...defaultConfig,
+        style: {
+          lineWidth: 2,
+          fill: '#fffbe6',
+          stroke: '#ffe58f',
+        },
         labelCfg: { position: 'right', ...labelCfg },
       };
     default:
@@ -137,3 +158,37 @@ export const flatGraphDataNode = (graphData: any[]) => {
     return nodeList;
   }, []);
 };
+
+interface Node {
+  label: string;
+  children?: Node[];
+}
+
+export const findNodesByLabel = (query: string, nodes: Node[]): Node[] => {
+  const result: Node[] = [];
+
+  for (const node of nodes) {
+    let match = false;
+    let children: Node[] = [];
+
+    // 如果节点的label包含查询字符串，我们将其标记为匹配
+    if (node.label.includes(query)) {
+      match = true;
+    }
+
+    // 我们还需要在子节点中进行搜索
+    if (node.children) {
+      children = findNodesByLabel(query, node.children);
+      if (children.length > 0) {
+        match = true;
+      }
+    }
+
+    // 如果节点匹配或者其子节点匹配，我们将其添加到结果中
+    if (match) {
+      result.push({ ...node, children });
+    }
+  }
+
+  return result;
+};
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraphCanvas.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraphCanvas.tsx
index 86ecdd9df..40a7a73e9 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraphCanvas.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraphCanvas.tsx
@@ -12,11 +12,11 @@ type Props = {
 };
 
 const SemanticGraphCanvas: React.FC<Props> = ({ domainManger }) => {
-  const [graphShowType, setGraphShowType] = useState<SemanticNodeType>(SemanticNodeType.DATASOURCE);
+  const [graphShowType, setGraphShowType] = useState<SemanticNodeType>(SemanticNodeType.DIMENSION);
   const { selectDomainId } = domainManger;
   return (
     <div className={styles.semanticGraphCanvas}>
-      <div className={styles.toolbar}>
+      {/* <div className={styles.toolbar}>
         <Radio.Group
           buttonStyle="solid"
           value={graphShowType}
@@ -29,7 +29,7 @@ const SemanticGraphCanvas: React.FC<Props> = ({ domainManger }) => {
           <Radio.Button value={SemanticNodeType.DIMENSION}>维度</Radio.Button>
           <Radio.Button value={SemanticNodeType.METRIC}>指标</Radio.Button>
         </Radio.Group>
-      </div>
+      </div> */}
 
       <div className={styles.canvasContainer}>
         {graphShowType === SemanticNodeType.DATASOURCE ? (
@@ -37,8 +37,8 @@ const SemanticGraphCanvas: React.FC<Props> = ({ domainManger }) => {
             <SemanticFlow />
           </div>
         ) : (
-          <div style={{ width: '100%', height: 'calc(100vh - 220px)' }}>
-            <SemanticGraph domainId={selectDomainId} graphShowType={graphShowType} />
+          <div style={{ width: '100%' }}>
+            <SemanticGraph domainId={selectDomainId} />
           </div>
         )}
       </div>
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTable.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTable.tsx
index 5882d2774..e12aac195 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTable.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTable.tsx
@@ -1,31 +1,23 @@
 import type { ActionType, ProColumns } from '@ant-design/pro-table';
 import ProTable from '@ant-design/pro-table';
-import { message, Button, Drawer, Space, Popconfirm, Modal, Card, Row, Col } from 'antd';
-import { ConsoleSqlOutlined, CoffeeOutlined } from '@ant-design/icons';
-import React, { useRef, useState, useEffect } from 'react';
+import { message, Button, Space, Popconfirm } from 'antd';
+import React, { useRef, useState } from 'react';
 import type { Dispatch } from 'umi';
 import { connect } from 'umi';
-import DataSourceCreateForm from '../Datasource/components/DataSourceCreateForm';
 import ClassDataSourceTypeModal from './ClassDataSourceTypeModal';
 import type { StateType } from '../model';
 import { getDatasourceList, deleteDatasource } from '../service';
-import DataSource from '../Datasource';
 import moment from 'moment';
 
-const { Meta } = Card;
 type Props = {
   dispatch: Dispatch;
   domainManger: StateType;
 };
 
 const ClassDataSourceTable: React.FC<Props> = ({ dispatch, domainManger }) => {
-  const { selectDomainId, dataBaseResultColsMap, dataBaseConfig } = domainManger;
-  const [createModalVisible, setCreateModalVisible] = useState<boolean>(false);
+  const { selectDomainId } = domainManger;
   const [dataSourceItem, setDataSourceItem] = useState<any>();
   const [createDataSourceModalOpen, setCreateDataSourceModalOpen] = useState(false);
-  const [dataSourceModalVisible, setDataSourceModalVisible] = useState(false);
-  const [fastModeSql, setFastModeSql] = useState<string>('');
-  const [fastModeTableName, setFastModeTableName] = useState<string>('');
 
   const actionRef = useRef<ActionType>();
 
@@ -70,11 +62,7 @@ const ClassDataSourceTable: React.FC<Props> = ({ dispatch, domainManger }) => {
               key="classEditBtn"
               onClick={() => {
                 setDataSourceItem(record);
-                if (record.datasourceDetail.queryType === 'table_query') {
-                  setDataSourceModalVisible(true);
-                  return;
-                }
-                setCreateModalVisible(true);
+                setCreateDataSourceModalOpen(true);
               }}
             >
               编辑
@@ -133,25 +121,10 @@ const ClassDataSourceTable: React.FC<Props> = ({ dispatch, domainManger }) => {
     return resData;
   };
 
-  const queryDataBaseExcuteSql = (tableName: string) => {
-    const sql = `select * from ${tableName}`;
-    setFastModeSql(sql);
-    setFastModeTableName(tableName);
-    dispatch({
-      type: 'domainManger/queryDataBaseExcuteSql',
-      payload: {
-        sql,
-        domainId: selectDomainId,
-        tableName,
-      },
-    });
-  };
-
   return (
     <>
       <ProTable
         actionRef={actionRef}
-        headerTitle="数据源列表"
         rowKey="id"
         columns={columns}
         params={{ domainId: selectDomainId }}
@@ -179,59 +152,12 @@ const ClassDataSourceTable: React.FC<Props> = ({ dispatch, domainManger }) => {
           onCancel={() => {
             setCreateDataSourceModalOpen(false);
           }}
-          onTypeChange={(type) => {
-            if (type === 'fast') {
-              setDataSourceModalVisible(true);
-            } else {
-              setCreateModalVisible(true);
-            }
-            setCreateDataSourceModalOpen(false);
+          dataSourceItem={dataSourceItem}
+          onSubmit={() => {
+            actionRef.current?.reload();
           }}
         />
       }
-      {dataSourceModalVisible && (
-        <DataSourceCreateForm
-          sql={fastModeSql}
-          basicInfoFormMode="fast"
-          domainId={Number(selectDomainId)}
-          dataSourceItem={dataSourceItem}
-          onCancel={() => {
-            setDataSourceModalVisible(false);
-          }}
-          onDataBaseTableChange={(tableName: string) => {
-            queryDataBaseExcuteSql(tableName);
-          }}
-          onSubmit={() => {
-            setDataSourceModalVisible(false);
-            setDataSourceItem(undefined);
-            actionRef.current?.reload();
-          }}
-          createModalVisible={dataSourceModalVisible}
-        />
-      )}
-      {createModalVisible && (
-        <Drawer
-          width={'100%'}
-          destroyOnClose
-          title="数据源编辑"
-          open={true}
-          onClose={() => {
-            setCreateModalVisible(false);
-            setDataSourceItem(undefined);
-          }}
-          footer={null}
-        >
-          <DataSource
-            initialValues={dataSourceItem}
-            domainId={Number(selectDomainId)}
-            onSubmitSuccess={() => {
-              setCreateModalVisible(false);
-              setDataSourceItem(undefined);
-              actionRef.current?.reload();
-            }}
-          />
-        </Drawer>
-      )}
     </>
   );
 };
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTypeModal.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTypeModal.tsx
index 7cb3dcdba..597382cad 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTypeModal.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTypeModal.tsx
@@ -1,28 +1,69 @@
-import { Modal, Card, Row, Col, Result, Button } from 'antd';
+import { Button, Drawer, Result, Modal, Card, Row, Col } from 'antd';
 import { ConsoleSqlOutlined, CoffeeOutlined } from '@ant-design/icons';
 import React, { useState, useEffect } from 'react';
-import { history, connect } from 'umi';
 import type { Dispatch } from 'umi';
+import { history, connect } from 'umi';
+import DataSourceCreateForm from '../Datasource/components/DataSourceCreateForm';
 import type { StateType } from '../model';
+import DataSource from '../Datasource';
+import { IDataSource } from '../data';
+
 const { Meta } = Card;
 type Props = {
   open: boolean;
-  domainManger: StateType;
-  onTypeChange: (type: 'fast' | 'normal') => void;
+  dataSourceItem: IDataSource.IDataSourceItem;
+  onTypeChange?: (type: 'fast' | 'normal') => void;
+  onSubmit?: () => void;
   onCancel?: () => void;
+  dispatch: Dispatch;
+  domainManger: StateType;
 };
 
 const ClassDataSourceTypeModal: React.FC<Props> = ({
   open,
   onTypeChange,
+  onSubmit,
+  dataSourceItem,
   domainManger,
   onCancel,
+  dispatch,
 }) => {
   const { selectDomainId, dataBaseConfig } = domainManger;
+  const [createModalVisible, setCreateModalVisible] = useState<boolean>(false);
+
+  const [dataSourceModalVisible, setDataSourceModalVisible] = useState(false);
+  const [fastModeSql, setFastModeSql] = useState<string>('');
+
   const [createDataSourceModalOpen, setCreateDataSourceModalOpen] = useState(false);
+
   useEffect(() => {
-    setCreateDataSourceModalOpen(open);
-  }, [open]);
+    if (!dataSourceItem || !open) {
+      setCreateDataSourceModalOpen(open);
+      return;
+    }
+    if (dataSourceItem?.datasourceDetail?.queryType === 'table_query') {
+      setDataSourceModalVisible(true);
+    } else {
+      setCreateModalVisible(true);
+    }
+  }, [dataSourceItem, open]);
+
+  const queryDataBaseExcuteSql = (tableName: string) => {
+    const sql = `select * from ${tableName}`;
+    setFastModeSql(sql);
+
+    dispatch({
+      type: 'domainManger/queryDataBaseExcuteSql',
+      payload: {
+        sql,
+        domainId: selectDomainId,
+        tableName,
+      },
+    });
+  };
+  const handleCancel = () => {
+    onCancel?.();
+  };
 
   return (
     <>
@@ -30,7 +71,7 @@ const ClassDataSourceTypeModal: React.FC<Props> = ({
         open={createDataSourceModalOpen}
         onCancel={() => {
           setCreateDataSourceModalOpen(false);
-          onCancel?.();
+          handleCancel();
         }}
         footer={null}
         centered
@@ -43,8 +84,10 @@ const ClassDataSourceTypeModal: React.FC<Props> = ({
                 hoverable
                 style={{ height: 220 }}
                 onClick={() => {
-                  onTypeChange('fast');
+                  onTypeChange?.('fast');
                   setCreateDataSourceModalOpen(false);
+
+                  setDataSourceModalVisible(true);
                 }}
                 cover={
                   <CoffeeOutlined
@@ -59,8 +102,10 @@ const ClassDataSourceTypeModal: React.FC<Props> = ({
             <Col span={12}>
               <Card
                 onClick={() => {
-                  onTypeChange('normal');
+                  onTypeChange?.('normal');
                   setCreateDataSourceModalOpen(false);
+
+                  setCreateModalVisible(true);
                 }}
                 hoverable
                 style={{ height: 220 }}
@@ -93,10 +138,52 @@ const ClassDataSourceTypeModal: React.FC<Props> = ({
           />
         )}
       </Modal>
+
+      {dataSourceModalVisible && (
+        <DataSourceCreateForm
+          sql={fastModeSql}
+          basicInfoFormMode="fast"
+          domainId={Number(selectDomainId)}
+          dataSourceItem={dataSourceItem}
+          onCancel={() => {
+            setDataSourceModalVisible(false);
+            handleCancel();
+          }}
+          onDataBaseTableChange={(tableName: string) => {
+            queryDataBaseExcuteSql(tableName);
+          }}
+          onSubmit={() => {
+            setDataSourceModalVisible(false);
+            onSubmit?.();
+          }}
+          createModalVisible={dataSourceModalVisible}
+        />
+      )}
+      {createModalVisible && (
+        <Drawer
+          width={'100%'}
+          destroyOnClose
+          title="数据源编辑"
+          open={true}
+          onClose={() => {
+            setCreateModalVisible(false);
+            handleCancel();
+          }}
+          footer={null}
+        >
+          <DataSource
+            initialValues={dataSourceItem}
+            domainId={Number(selectDomainId)}
+            onSubmitSuccess={() => {
+              setCreateModalVisible(false);
+              onSubmit?.();
+            }}
+          />
+        </Drawer>
+      )}
     </>
   );
 };
-
 export default connect(({ domainManger }: { domainManger: StateType }) => ({
   domainManger,
 }))(ClassDataSourceTypeModal);
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTypeModal1.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTypeModal1.tsx
new file mode 100644
index 000000000..7632e1cff
--- /dev/null
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDataSourceTypeModal1.tsx
@@ -0,0 +1,101 @@
+import { Modal, Card, Row, Col, Result, Button } from 'antd';
+import { ConsoleSqlOutlined, CoffeeOutlined } from '@ant-design/icons';
+import React, { useState, useEffect } from 'react';
+import { history, connect } from 'umi';
+import type { StateType } from '../model';
+const { Meta } = Card;
+type Props = {
+  open: boolean;
+  domainManger: StateType;
+  onTypeChange: (type: 'fast' | 'normal') => void;
+  onCancel?: () => void;
+};
+
+const ClassDataSourceTypeModal: React.FC<Props> = ({
+  open,
+  onTypeChange,
+  domainManger,
+  onCancel,
+}) => {
+  const { selectDomainId, dataBaseConfig } = domainManger;
+  const [createDataSourceModalOpen, setCreateDataSourceModalOpen] = useState(false);
+  useEffect(() => {
+    setCreateDataSourceModalOpen(open);
+  }, [open]);
+
+  return (
+    <>
+      <Modal
+        open={createDataSourceModalOpen}
+        onCancel={() => {
+          setCreateDataSourceModalOpen(false);
+          onCancel?.();
+        }}
+        footer={null}
+        centered
+        closable={false}
+      >
+        {dataBaseConfig && dataBaseConfig.id ? (
+          <Row gutter={16} style={{ marginTop: '0px' }}>
+            <Col span={12}>
+              <Card
+                hoverable
+                style={{ height: 220 }}
+                onClick={() => {
+                  onTypeChange('fast');
+                  setCreateDataSourceModalOpen(false);
+                }}
+                cover={
+                  <CoffeeOutlined
+                    width={240}
+                    style={{ paddingTop: '45px', height: 120, fontSize: '48px', color: '#1890ff' }}
+                  />
+                }
+              >
+                <Meta title="快速创建" description="自动进行数据源可视化创建" />
+              </Card>
+            </Col>
+            <Col span={12}>
+              <Card
+                onClick={() => {
+                  onTypeChange('normal');
+                  setCreateDataSourceModalOpen(false);
+                }}
+                hoverable
+                style={{ height: 220 }}
+                cover={
+                  <ConsoleSqlOutlined
+                    style={{ paddingTop: '45px', height: 120, fontSize: '48px', color: '#1890ff' }}
+                  />
+                }
+              >
+                <Meta title="SQL脚本" description="自定义SQL脚本创建数据源" />
+              </Card>
+            </Col>
+          </Row>
+        ) : (
+          <Result
+            status="warning"
+            subTitle="创建数据源需要先完成数据库设置"
+            extra={
+              <Button
+                type="primary"
+                key="console"
+                onClick={() => {
+                  history.replace(`/semanticModel/${selectDomainId}/dataBase`);
+                  onCancel?.();
+                }}
+              >
+                去设置
+              </Button>
+            }
+          />
+        )}
+      </Modal>
+    </>
+  );
+};
+
+export default connect(({ domainManger }: { domainManger: StateType }) => ({
+  domainManger,
+}))(ClassDataSourceTypeModal);
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDimensionTable.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDimensionTable.tsx
index 0cd609945..9e0a04102 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDimensionTable.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassDimensionTable.tsx
@@ -8,6 +8,7 @@ import type { StateType } from '../model';
 import { SENSITIVE_LEVEL_ENUM } from '../constant';
 import { getDatasourceList, getDimensionList, deleteDimension } from '../service';
 import DimensionInfoModal from './DimensionInfoModal';
+import DimensionValueSettingModal from './DimensionValueSettingModal';
 import { ISemantic } from '../data';
 import moment from 'moment';
 import styles from './style.less';
@@ -22,6 +23,11 @@ const ClassDimensionTable: React.FC<Props> = ({ domainManger, dispatch }) => {
   const [createModalVisible, setCreateModalVisible] = useState<boolean>(false);
   const [dimensionItem, setDimensionItem] = useState<ISemantic.IDimensionItem>();
   const [dataSourceList, setDataSourceList] = useState<any[]>([]);
+  const [dimensionValueSettingList, setDimensionValueSettingList] = useState<
+    ISemantic.IDimensionValueSettingItem[]
+  >([]);
+  const [dimensionValueSettingModalVisible, setDimensionValueSettingModalVisible] =
+    useState<boolean>(false);
   const [pagination, setPagination] = useState({
     current: 1,
     pageSize: 20,
@@ -141,6 +147,20 @@ const ClassDimensionTable: React.FC<Props> = ({ domainManger, dispatch }) => {
             >
               编辑
             </a>
+            <a
+              key="classEditBtn"
+              onClick={() => {
+                setDimensionItem(record);
+                setDimensionValueSettingModalVisible(true);
+                if (Array.isArray(record.dimValueMaps)) {
+                  setDimensionValueSettingList(record.dimValueMaps);
+                } else {
+                  setDimensionValueSettingList([]);
+                }
+              }}
+            >
+              维度值设置
+            </a>
             <Popconfirm
               title="确认删除？"
               okText="是"
@@ -175,7 +195,7 @@ const ClassDimensionTable: React.FC<Props> = ({ domainManger, dispatch }) => {
       <ProTable
         className={`${styles.classTable} ${styles.classTableSelectColumnAlignLeft}`}
         actionRef={actionRef}
-        headerTitle="维度列表"
+        // headerTitle="维度列表"
         rowKey="id"
         columns={columns}
         request={queryDimensionList}
@@ -236,6 +256,26 @@ const ClassDimensionTable: React.FC<Props> = ({ domainManger, dispatch }) => {
           }}
         />
       )}
+      {dimensionValueSettingModalVisible && (
+        <DimensionValueSettingModal
+          dimensionValueSettingList={dimensionValueSettingList}
+          open={dimensionValueSettingModalVisible}
+          dimensionItem={dimensionItem}
+          onCancel={() => {
+            setDimensionValueSettingModalVisible(false);
+          }}
+          onSubmit={() => {
+            actionRef?.current?.reload();
+            dispatch({
+              type: 'domainManger/queryDimensionList',
+              payload: {
+                domainId: selectDomainId,
+              },
+            });
+            setDimensionValueSettingModalVisible(false);
+          }}
+        />
+      )}
     </>
   );
 };
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassMetricTable.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassMetricTable.tsx
index 1a87709d3..468507627 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassMetricTable.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/ClassMetricTable.tsx
@@ -166,43 +166,12 @@ const ClassMetricTable: React.FC<Props> = ({ domainManger, dispatch }) => {
     },
   ];
 
-  // const saveMetric = async (fieldsValue: any, reloadState: boolean = true) => {
-  //   const queryParams = {
-  //     domainId: selectDomainId,
-  //     ...fieldsValue,
-  //   };
-  //   if (queryParams.typeParams && !queryParams.typeParams.expr) {
-  //     message.error('度量表达式不能为空');
-  //     return;
-  //   }
-  //   let saveMetricQuery = creatExprMetric;
-  //   if (queryParams.id) {
-  //     saveMetricQuery = updateExprMetric;
-  //   }
-  //   const { code, msg } = await saveMetricQuery(queryParams);
-  //   if (code === 200) {
-  //     message.success('编辑指标成功');
-  //     setCreateModalVisible(false);
-  //     if (reloadState) {
-  //       actionRef?.current?.reload();
-  //     }
-  //     dispatch({
-  //       type: 'domainManger/queryMetricList',
-  //       payload: {
-  //         domainId: selectDomainId,
-  //       },
-  //     });
-  //     return;
-  //   }
-  //   message.error(msg);
-  // };
-
   return (
     <>
       <ProTable
         className={`${styles.classTable} ${styles.classTableSelectColumnAlignLeft}`}
         actionRef={actionRef}
-        headerTitle="指标列表"
+        // headerTitle="指标列表"
         rowKey="id"
         search={{
           span: 4,
